	ORG	#7D00

;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;; Prepare testing parameters from basic ;;
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

start	db	#01	;; ld bc,...
x	db	#10	;; low byte  X
y	db	#10	;; high byte Y

;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;;
;; Simplified CORDIC for computing vector size
;;
;;  Input:
;;
;;    C = coordinate X
;;    B = coordinate Y
;;
;; Mandatory conditions for input parameters
;; needed for proper working of computation:
;;
;;    X >= Y
;;    Y > 0
;;    (X^2+Y^2) < 65536
;;
;; Output:
;;
;;    C = result = SQR(X^2+Y^2)

	ld	a,c
loop11	sub	b
	jr	nc,loop22
	inc	c
	add	c
loop22	djnz	loop11

;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

	ret		;; Return to basic
